package account;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;

import db.DBConnectionFactory;

public class AccountFunctions {

	public Account ViewUsingUsername(String username)
	{
		 Account result = new Account();
		try
		   {
				    
					DBConnectionFactory Factory = DBConnectionFactory.getInstance();
		            Connection conn = Factory.getConnection();
		            String sql = "select * from useraccounts where username = ?;";
		            PreparedStatement pstmt = conn.prepareStatement(sql);
		            pstmt.setString(1,username);	          
		            ResultSet rs = pstmt.executeQuery();
		           
		            if(rs.next())
		            {
		            	result.setAcountnum(rs.getInt("accountnumber"));
		            	result.setPassword(rs.getString("pssword"));
		            	result.setUsertype(rs.getString("type"));
		            	result.setUsername(username);
		            }
		            System.out.println("Add success");
		   }
		   catch(Exception e)
		   {
			   e.printStackTrace();
		   }
		return result;	
	}
	
}
