/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package db;
import java.sql.Connection;
import java.util.ResourceBundle;


public abstract class DBConnectionFactory {

	private static String DRIVER="";
	private static String URL="";
	private static String TABLE="";
	private static String USERNAME="";
	private static String PASSWORD="";
	
	static {
		ResourceBundle settings = ResourceBundle.getBundle("quizsilver");
		DRIVER=settings.getString("DRIVER");
		URL=settings.getString("URL");
		TABLE=settings.getString("TABLE");
		USERNAME=settings.getString("USERNAME");
		PASSWORD=settings.getString("PASSWORD");
	}
    public static DBConnectionFactoryImpl getInstance(){
    	
        String driver,url,username,password;
        driver= DRIVER;
        url = URL;
        username = USERNAME;
        password = PASSWORD;
        return new DBConnectionFactoryImpl(driver,url,username,password);
    }

    public abstract Connection getConnection();
}







